<form class="quiz-form" [formGroup]="quizForm" (ngSubmit)="onSubmit()">
  <mat-form-field  appearance="fill">
    <mat-label>Unesite pitanje</mat-label>

    <input matInput formControlName="question">
    <mat-error *ngIf="quizForm.hasError('required')">Molimo vas unesite pitanje</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field  appearance="fill">
    <mat-label>Unesite prvi odgovor</mat-label>
    <input matInput formControlName="answer1">

    <mat-error *ngIf="quizForm.hasError('required')">Molimo vas unesite odgovor</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field  appearance="fill">
    <mat-label>Unesite drugi odgovor</mat-label>
    <input matInput formControlName="answer2">
    <mat-error *ngIf="quizForm.hasError('required')">Molimo vas unesite odgovor</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field  appearance="fill">
    <mat-label>Unesite treci odgovor</mat-label>
    <input matInput formControlName="answer3">
  </mat-form-field>
  <br>
  <mat-form-field  appearance="fill">
    <mat-label>Unesite cetvrti odgovor</mat-label>
    <input matInput formControlName="answer4">
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-select formControlName="correctAnswer">
      <mat-option [value]=1>1</mat-option>
      <mat-option [value]=2>2</mat-option>
      <mat-option [value]=3>3</mat-option>
      <mat-option [value]=4>4</mat-option>
    </mat-select>
    <mat-error *ngIf="quizForm.hasError('required')">Molimo vas odaberite odgovor</mat-error>
  </mat-form-field>
  <br>
  <button>Postavi</button>
</form>



<!--


















<mat-form-field class="example-form-field">
  <mat-label>Pitanje</mat-label>
  <input matInput type="text" [(ngModel)]="question">
</mat-form-field>
<br>
<mat-form-field class="example-form-field">
  <mat-label>Odgovor 1</mat-label>
  <input matInput type="text" [(ngModel)]="answer1">
</mat-form-field>
<br>
<mat-form-field class="example-form-field">
  <mat-label>Odgovor 2</mat-label>
  <input matInput type="text" [(ngModel)]="answer2">
</mat-form-field>
<br>
<mat-form-field class="example-form-field">
  <mat-label>Odgovor 3</mat-label>
  <input matInput type="text" [(ngModel)]="answer3">
</mat-form-field>
<mat-form-field class="example-form-field">
  <mat-label>Odgovor 4</mat-label>
  <input matInput type="text" [(ngModel)]="answer4">
</mat-form-field>
<br>
<mat-form-field appearance="fill">
  <mat-label>Tacan odgovor: </mat-label>
  <mat-select>
    <mat-option correctAnswer=1>1</mat-option>
    <mat-option correctAnswer=1>2</mat-option>
    <mat-option correctAnswer=1>3</mat-option>
    <mat-option correctAnswer=1>4</mat-option>
  </mat-select>
</mat-form-field> -->
